Bug 1903655 - [4.5]kubeletconfig's description will show multiple lines for finalizers when upgrade from 4.4.8->4.5
Summary: [4.5]kubeletconfig's description will show multiple lines for finalizers when...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Urvashi Mohnani
QA Contact: MinLi
URL:
Whiteboard:
Depends On: 1887519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-02 15:14 UTC by OpenShift BugZilla Robot
Modified: 2020-12-22 05:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-22 05:06:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2274 0 None closed [release-4.5] Bug 1903655: Use mc name as finalizer for kubelet config 2021-01-12 03:25:21 UTC
Red Hat Product Errata RHBA-2020:5468 0 None None None 2020-12-22 05:07:02 UTC

Comment 1 MinLi 2020-12-10 02:49:51 UTC
by pre-merge-verification process, launch cluster with bot: launch openshift/machine-config-operator#2274 aws, and test pass!

$ oc get clusterversion 
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.ci.test-2020-12-09-105437-ci-ln-d8bfvtb   True        False         100m    Cluster version is 4.5.0-0.ci.test-2020-12-09-105437-ci-ln-d8bfvtb

$ oc get kubeletconfig -o yaml 
apiVersion: v1
items:
- apiVersion: machineconfiguration.openshift.io/v1
  kind: KubeletConfig
  metadata:
    creationTimestamp: "2020-12-09T13:11:38Z"
    finalizers:
    - 99-worker-183d4097-5c24-4e6b-bb24-5a5f63fd275e-kubelet  // use mc name as finalizer
    generation: 1
    managedFields:
    - apiVersion: machineconfiguration.openshift.io/v1
...

$ oc get mc 
NAME                                                        GENERATEDBYCONTROLLER                      IGNITIONVERSION   AGE
00-master                                                   9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
00-worker                                                   9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
01-master-container-runtime                                 9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
01-master-kubelet                                           9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
01-worker-container-runtime                                 9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
01-worker-kubelet                                           9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
99-master-73e4ff16-7519-4db9-8118-7d94a181485e-registries   9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
99-master-generated-crio-capabilities                                                                  2.2.0             122m
99-master-ssh                                                                                          2.2.0             129m
99-worker-183d4097-5c24-4e6b-bb24-5a5f63fd275e-kubelet      9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             22s  // mc name used
99-worker-183d4097-5c24-4e6b-bb24-5a5f63fd275e-registries   9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
99-worker-generated-crio-capabilities                                                                  2.2.0             122m
99-worker-ssh                                                                                          2.2.0             129m
rendered-master-672bb6e29a3da82c7dfe26b3fb383135            9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m
rendered-worker-baa8f83d53f848dde3312cb011a7880d            9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             16s
rendered-worker-dc488d62cf915c61a8f876418f390b2a            9a05674c720c0f3283cf8b05a484b90e757bcc19   2.2.0             122m

Comment 5 errata-xmlrpc 2020-12-22 05:06:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.24 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5468


Note You need to log in before you can comment on or make changes to this bug.